Mariner GPS Tools Ajan ve API Platformu
Koordinatları ayrıştır ve biçimlendir
Ondalık derece ile derece, dakika, saniye (DMS) arasında dönüşüm yap.
Arayüzler
POST
REST uç noktası
/api/v1/coordinates/convertMCP
Araç adı
convert_coordinatesTalep
İsteği JSON olarak gönderin. MCP istemcileri, araç bağımsız değişkenleriyle aynı alanları iletir.
cURLshell
curl -X POST https://marinergps.tools/api/v1/coordinates/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"latitude": "51.5074",
"longitude": "-0.1278",
"format": "dms"
}'Talep gövdesijson
{
"latitude": "51.5074",
"longitude": "-0.1278",
"format": "dms"
}Yanıt
REST hesaplama sonucunu standart başarı zarfına sarar. MCP aynı hesaplama verilerini yapılandırılmış araç çıktısı olarak döndürür.
JSON
{
"ok": true,
"data": {
"latitude": {
"decimal": 51.5074,
"formatted": "51° 30′ 26.640″ N"
},
"longitude": {
"decimal": -0.1278,
"formatted": "0° 07′ 40.080″ W"
},
"format": "dms"
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Şemalar
Aşağıdaki tanımlar, girişleri doğrulamak ve çıkışları tanımlamak için kullanılan JSON Şemasının tamamını gösterir.
Girdi şeması
{
"type": "object",
"additionalProperties": false,
"properties": {
"latitude": {
"type": "string",
"description": "Latitude as signed decimal degrees, decimal degrees with N/S (33.8688° S), degrees and decimal minutes, or DMS. Do not combine a sign with a hemisphere letter."
},
"longitude": {
"type": "string",
"description": "Longitude as signed decimal degrees, decimal degrees with E/W (4.15° W), degrees and decimal minutes, or DMS. Do not combine a sign with a hemisphere letter."
},
"format": {
"type": "string",
"enum": [
"decimal",
"dms"
],
"description": "Output coordinate format."
}
},
"required": [
"latitude",
"longitude",
"format"
]
}Çıktı şeması
{
"type": "object",
"additionalProperties": false,
"properties": {
"latitude": {
"type": "object",
"additionalProperties": false,
"properties": {
"decimal": {
"type": "number"
},
"formatted": {
"type": "string"
}
},
"required": [
"decimal",
"formatted"
]
},
"longitude": {
"type": "object",
"additionalProperties": false,
"properties": {
"decimal": {
"type": "number"
},
"formatted": {
"type": "string"
}
},
"required": [
"decimal",
"formatted"
]
},
"format": {
"type": "string",
"enum": [
"decimal",
"dms"
]
}
},
"required": [
"latitude",
"longitude",
"format"
]
}